{
  lib,
  modulesPath,
  ...
}:

let
  moduleOverrides = [
    # NIXPKGS-PR: 359882
    {
      disabledModules = [
        "${modulesPath}/system/boot/luksroot.nix"
      ];
      replacementModules = [(builtins.fetchurl {
          url = "https://raw.githubusercontent.com/amozeo/nixpkgs/728d5806fe6f975ba3843297332d12e13119fe86/nixos/modules/system/boot/luksroot.nix";
          sha256 = "0s2k8k6rrlwn2zb02q6fkvswln8w4hvh02hm4krqvkh46amyasyy";
      })];
    }
    # NIXPKGS-PR: 394300
    {
      disabledModules = [
        "${modulesPath}/hardware/openrazer.nix"
      ];
      replacementModules = [
        (builtins.fetchurl {
          url = "https://raw.githubusercontent.com/NixOS/nixpkgs/4a11562c20fbe7af7d5ac139dbf0f8d50ce276f6/nixos/modules/hardware/openrazer.nix";
          sha256 = "0n6kzrcwlmxgws4pmffyqagp2rxpfxmfjl11vgvlkjcbglg6fs7y";
        })
      ];
    }
  ];

  toModule = entry: {
    imports = entry.replacementModules;
    disabledModules = entry.disabledModules;
    _file = let
      info = builtins.unsafeGetAttrPos "disabledModules" entry;
    in "${info.file}:L${info.line}";
  };
in
{
  imports = lib.map toModule moduleOverrides;
}
